#if !defined(READLIST_H)
#define READLIST_H

/*
 *
 * FILE: readlist.h
 * 
 * DESCRIPTION:
 * Definitions for functions which read data from flat ASCII files.
 *
 */



   /* ignore any lines in input files that start with this */
#define COMMENT_CHAR   '#'     

   /* data files can have this many data columns, at most */
#define MAX_DATA_COL    20

   /* each column in the data file can have at most this many characters */
#define MAX_COL_LENGTH 50


   /*
    * read an ASCII file with a list of detected stars, and create a list
    * of S_DET structures
    */
int
read_detected_file(char *filename, int racol, int deccol, 
                   int jdcol, int airmasscol, int flagcol, int num_filt,
                   int *filtercol_array, int *magcol_array, 
                   int *magerrcol_array,
                   int *num_stars, S_DET **list);


   /*
    * read an ASCII file with a list of catalog stars, and create a list
    * of S_CAT structures
    */
int
read_catalog_file(char *filename, int racol, int deccol, int num_filt,
                  char **filt_array, int *magcol_array, 
                  int *num_stars, S_CAT **list);



#endif    /* READLIST_H */

